%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate flume

Name:           rust-flume
Version:        0.11.0
Release:    2%{?dist}
Summary:        Blazingly fast multi-producer channel

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/flume
Source0:         %{crates_source}
Patch0:          flume-fix-metadata.diff
Patch1:          https://github.com/zesterer/flume/pull/149.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A blazingly fast multi-producer channel.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-devel %{_description}

This package contains library source intended for building other packages which
use the "async" feature of the "%{crate}" crate.

%files       -n %{name}+async-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+eventual-fairness-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+eventual-fairness-devel %{_description}

This package contains library source intended for building other packages which
use the "eventual-fairness" feature of the "%{crate}" crate.

%files       -n %{name}+eventual-fairness-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-core-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-core" feature of the "%{crate}" crate.

%files       -n %{name}+futures-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-sink-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-sink-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-sink" feature of the "%{crate}" crate.

%files       -n %{name}+futures-sink-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nanorand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nanorand-devel %{_description}

This package contains library source intended for building other packages which
use the "nanorand" feature of the "%{crate}" crate.

%files       -n %{name}+nanorand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+select-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+select-devel %{_description}

This package contains library source intended for building other packages which
use the "select" feature of the "%{crate}" crate.

%files       -n %{name}+select-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+spin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+spin-devel %{_description}

This package contains library source intended for building other packages which
use the "spin" feature of the "%{crate}" crate.

%files       -n %{name}+spin-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.11.0-2
- Rebuilt for loongarch64

* Sat Jun 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-1
- initial build
